Bug 152131 - kasteroids appears to not see key releases
kasteroids appears to not see key releases
Product: Fedora
Classification: Fedora
Component: kdegames (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2005-03-24 23:59 EST by Seth D. Alford
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-29 04:46:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Seth D. Alford 2005-03-24 23:59:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Fedora/1.7.6-1.3.2

Description of problem:
kasteroids sees key presses.  But it does not see key releases.  Press the
left arrow, the ship turns left.  Release the left arrow, the ship keeps
turning left.  It should stop turning left.  Press the up arrow, the rocket fires.  Release the up arrow and the rocket keeps firing.  It should stop firing.  This is not an important bug, of course, but whatever broke this might have broken something else which is more important.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  In the main menu, click Games > Kasteroids
2.  In the kasteroids screen, press L.  Ship appears in the screen.
3.  Press left arrow key.  Ship turns left.  Release arrow key.  Ship should stop turning left.  But, ship keeps turning left.
4.  Press right arrow key.  Ship stops turning left.  Ship does not turn right.
5.  Press up arrow.  Rocket on ship fires.  Release up arrow key.  Rocket should stop firing.  Rocket keeps firing.  Ship goes faster and faster, out of control, into the asteroid.

Expected Results:  This was working about a week ago.  I think something may have gotten updated and started the problem.

Additional info:

kasteroids --version says:

Qt: 3.3.4
KDE: 3.3.1-2.9.FC3 Red Hat
KAsteroids: 2.3
Comment 1 Edwin Olson 2005-03-28 11:02:34 EST
I have the same problem. The problem appeared after (I believe) an update to
kdelibs. This problem appeared one or two weeks ago.

The problem also seems to affect KSpaceDuel, but does not affect several other
KDE games such as KTron.

It has affected both an x86 system and an x86_64 system.

[eolson@localhost ~]$ kde-config --version
Qt: 3.3.4
KDE: 3.3.1-2.9.FC3 Red Hat
kde-config: 1.0

[eolson@localhost ~]$ uname -a
Linux localhost.localdomain 2.6.10-1.770_FC3 #1 Thu Feb 24 18:09:38 EST 2005
x86_64 x86_64 x86_64 GNU/Linux
Comment 2 David Leibold 2005-12-04 15:19:54 EST
(In reply to comment #1)

Same for me too, but under FC4:

... $ kasteroids --version
Qt: 3.3.4
KDE: 3.4.0-6 Red Hat
KAsteroids: 2.3

... $ kde-config --version
Qt: 3.3.4
KDE: 3.4.0-6 Red Hat

... $ uname -a
Linux localhost 2.6.11-1.1369_FC4 #1 Thu Jun 2 22:55:56 EDT 2005 i686 athlon
i386 GNU/Linux
Comment 3 David Leibold 2005-12-04 15:23:40 EST
d'oh, due to cut/paste error, that last kde-config --version line should be...

kde-config: 1.0
Comment 4 Matthew Bennett 2006-06-25 22:17:36 EDT
I'm seeing this behavior in FC5:

kasteroids --version
Qt: 3.3.6
KDE: 3.5.3-0.2.fc5 Red Hat
KAsteroids: 2.3

kde-config --version
Qt: 3.3.6
KDE: 3.5.3-0.2.fc5 Red Hat
kde-config: 1.0

uname -a
Linux bennettsworld.com 2.6.15-1.2054_FC5 #1 Tue Mar 14 15:48:33 EST 2006 i686
i686 i386 GNU/Linux

Comment 5 Ngo Than 2006-06-26 12:53:46 EDT
It seems a bug in qt which causes this problem. I will push
new qt-3.3.6-0.2.fc5 into FC5-update-testing soon. Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.